/********************************************************************************
* Advanced Database Topics
* Dave Valentine
* System Catalog View
*
* PART II - Search Procedure Definition Demo Scripts
********************************************************************************/

USE AdventureWorks2012;
GO

/********************************************************************************
* This script will find all procedures in the database where the procedure 
* definition match the search criteria.  This script is handy when changing / 
* removing columns in a table, or looking for UPDATES, INSERTS, DELETES 
* to specific tables.
********************************************************************************/
DECLARE @SearchText NVARCHAR(500) = N'INSERT'
SELECT SchemaName = s.name,
       ProcedureName = p.name,
       CreatedDate = p.create_date,
       ModifiedDate = p.modify_date,
       ProcedureText = m.definition
FROM sys.procedures p
INNER JOIN sys.sql_modules m ON m.object_id = p.object_id
INNER JOIN sys.schemas s ON s.schema_id = p.schema_id
WHERE m.definition LIKE '%'+ @SearchText +'%'
ORDER BY SchemaName, ProcedureName





/********************************************************************************
* END PART II - Search Procedure Definition Demo Scripts
********************************************************************************/