/********************************************************************************
* Advanced Database Topics
* Dave Valentine
* System Catalog View
*
* PART III - Search View Definitions Demo Scripts
********************************************************************************/

USE AdventureWorks2012;
GO

/********************************************************************************
* This script will find all views in the database where the view definition 
* matches the search criteria.  This script is handy when changing/removing 
* columns in a table.
********************************************************************************/
DECLARE @SearchText NVARCHAR(500) = N'jc.'
SELECT SchemaName = s.name,
       ViewName = v.name,
       CreatedDate = v.create_date,
       ModifiedDate = v.modify_date,
       ViewText = m.definition
FROM sys.views v
INNER JOIN sys.sql_modules m ON m.object_id = v.object_id
INNER JOIN sys.schemas s ON s.schema_id = v.schema_id
WHERE m.definition LIKE '%'+ @SearchText +'%'
ORDER BY SchemaName, ViewName




/********************************************************************************
* END PART III - Search View Definitions Demo Scripts
********************************************************************************/