/********************************************************************************
* Advanced Database Topics
* Dave Valentine
* Partitioning
*
* PART I  Pre Demo Scripts
********************************************************************************/

USE AdventureWorksDW2012;
GO

/********************************************************************************
* This script just loads additional data into the Date Dimension for a later
* query that will need the date available.
********************************************************************************/
INSERT INTO [dbo].[DimDate] ([DateKey],[FullDateAlternateKey],[DayNumberOfWeek],[EnglishDayNameOfWeek]
		   ,[SpanishDayNameOfWeek],[FrenchDayNameOfWeek],[DayNumberOfMonth],[DayNumberOfYear]
		   ,[WeekNumberOfYear],[EnglishMonthName],[SpanishMonthName],[FrenchMonthName],[MonthNumberOfYear]
		   ,[CalendarQuarter],[CalendarYear],[CalendarSemester],[FiscalQuarter],[FiscalYear],[FiscalSemester])
SELECT [DateKey] + 10000
           ,DATEADD(Year,1,[FullDateAlternateKey])
           ,[DayNumberOfWeek]
           ,[EnglishDayNameOfWeek]
           ,[SpanishDayNameOfWeek]
           ,[FrenchDayNameOfWeek]
           ,[DayNumberOfMonth]
           ,[DayNumberOfYear]
           ,[WeekNumberOfYear]
           ,[EnglishMonthName]
           ,[SpanishMonthName]
           ,[FrenchMonthName]
           ,[MonthNumberOfYear]
           ,[CalendarQuarter]
           ,[CalendarYear]
           ,[CalendarSemester]
           ,[FiscalQuarter]
           ,[FiscalYear]
           ,[FiscalSemester]
FROM DimDate where CalendarYear = 2014

/********************************************************************************
* END PART I  Pre Demo Scripts
********************************************************************************/


